Merging upstream version 0.6.2.
[debian/lxappearance.git] / Makefile.in
CommitLineData
d93d56d2 1# Makefile.in generated by automake 1.14.1 from Makefile.am.
08024023
DB
2# @configure_input@
3
ae1f8f29
AG
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
08024023
DB
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
08024023 16VPATH = @srcdir@
ae1f8f29
AG
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19 case $${target_option-} in \
20 ?) ;; \
21 *) echo "am__make_running_with_option: internal error: invalid" \
22 "target option '$${target_option-}' specified" >&2; \
23 exit 1;; \
24 esac; \
25 has_opt=no; \
26 sane_makeflags=$$MAKEFLAGS; \
27 if $(am__is_gnu_make); then \
28 sane_makeflags=$$MFLAGS; \
29 else \
30 case $$MAKEFLAGS in \
31 *\\[\ \ ]*) \
32 bs=\\; \
33 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
35 esac; \
36 fi; \
37 skip_next=no; \
38 strip_trailopt () \
39 { \
40 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41 }; \
42 for flg in $$sane_makeflags; do \
43 test $$skip_next = yes && { skip_next=no; continue; }; \
44 case $$flg in \
45 *=*|--*) continue;; \
46 -*I) strip_trailopt 'I'; skip_next=yes;; \
47 -*I?*) strip_trailopt 'I';; \
48 -*O) strip_trailopt 'O'; skip_next=yes;; \
49 -*O?*) strip_trailopt 'O';; \
50 -*l) strip_trailopt 'l'; skip_next=yes;; \
51 -*l?*) strip_trailopt 'l';; \
52 -[dEDm]) skip_next=yes;; \
53 -[JT]) skip_next=yes;; \
54 esac; \
55 case $$flg in \
56 *$$target_option*) has_opt=yes; break;; \
57 esac; \
58 done; \
59 test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
08024023 62pkgdatadir = $(datadir)/@PACKAGE@
08024023 63pkgincludedir = $(includedir)/@PACKAGE@
eddc0c49
DB
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
08024023
DB
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
08024023 78subdir = .
ae1f8f29
AG
79DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80 $(top_srcdir)/configure $(am__configure_deps) \
81 $(srcdir)/config.h.in AUTHORS COPYING ChangeLog NEWS README \
82c4ef88 82 TODO compile depcomp install-sh missing
08024023 83ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
82c4ef88
AG
84am__aclocal_m4_deps = $(top_srcdir)/intltool.m4 \
85 $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
08024023
DB
86am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87 $(ACLOCAL_M4)
88am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
89 configure.lineno config.status.lineno
eddc0c49 90mkinstalldirs = $(install_sh) -d
08024023
DB
91CONFIG_HEADER = config.h
92CONFIG_CLEAN_FILES =
eddc0c49 93CONFIG_CLEAN_VPATH_FILES =
ae1f8f29
AG
94AM_V_P = $(am__v_P_@AM_V@)
95am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
96am__v_P_0 = false
97am__v_P_1 = :
7f605299
DB
98AM_V_GEN = $(am__v_GEN_@AM_V@)
99am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
ae1f8f29
AG
100am__v_GEN_0 = @echo " GEN " $@;
101am__v_GEN_1 =
7f605299
DB
102AM_V_at = $(am__v_at_@AM_V@)
103am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
e7f9874d 104am__v_at_0 = @
ae1f8f29 105am__v_at_1 =
08024023
DB
106SOURCES =
107DIST_SOURCES =
ae1f8f29
AG
108RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
109 ctags-recursive dvi-recursive html-recursive info-recursive \
110 install-data-recursive install-dvi-recursive \
111 install-exec-recursive install-html-recursive \
112 install-info-recursive install-pdf-recursive \
113 install-ps-recursive install-recursive installcheck-recursive \
114 installdirs-recursive pdf-recursive ps-recursive \
115 tags-recursive uninstall-recursive
116am__can_run_installinfo = \
117 case $$AM_UPDATE_INFO_DIR in \
118 n|no|NO) false;; \
119 *) (install-info --version) >/dev/null 2>&1;; \
120 esac
08024023
DB
121RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
122 distclean-recursive maintainer-clean-recursive
ae1f8f29
AG
123am__recursive_targets = \
124 $(RECURSIVE_TARGETS) \
125 $(RECURSIVE_CLEAN_TARGETS) \
126 $(am__extra_recursive_targets)
127AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
128 cscope distdir dist dist-all distcheck
129am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
130 $(LISP)config.h.in
131# Read a list of newline-separated strings from the standard input,
132# and print each of them once, without duplicates. Input order is
133# *not* preserved.
134am__uniquify_input = $(AWK) '\
135 BEGIN { nonempty = 0; } \
136 { items[$$0] = 1; nonempty = 1; } \
137 END { if (nonempty) { for (i in items) print i; }; } \
138'
139# Make sure the list of sources is unique. This is necessary because,
140# e.g., the same source file might be shared among _SOURCES variables
141# for different programs/libraries.
142am__define_uniq_tagged_files = \
143 list='$(am__tagged_files)'; \
144 unique=`for i in $$list; do \
145 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
146 done | $(am__uniquify_input)`
08024023
DB
147ETAGS = etags
148CTAGS = ctags
ae1f8f29 149CSCOPE = cscope
08024023
DB
150DIST_SUBDIRS = $(SUBDIRS)
151DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
152distdir = $(PACKAGE)-$(VERSION)
153top_distdir = $(distdir)
154am__remove_distdir = \
7f605299
DB
155 if test -d "$(distdir)"; then \
156 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
157 && rm -rf "$(distdir)" \
158 || { sleep 5 && rm -rf "$(distdir)"; }; \
159 else :; fi
ae1f8f29 160am__post_remove_distdir = $(am__remove_distdir)
eddc0c49
DB
161am__relativize = \
162 dir0=`pwd`; \
163 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
164 sed_rest='s,^[^/]*/*,,'; \
165 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
166 sed_butlast='s,/*[^/]*$$,,'; \
167 while test -n "$$dir1"; do \
168 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
169 if test "$$first" != "."; then \
170 if test "$$first" = ".."; then \
171 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
172 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
173 else \
174 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
175 if test "$$first2" = "$$first"; then \
176 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
177 else \
178 dir2="../$$dir2"; \
179 fi; \
180 dir0="$$dir0"/"$$first"; \
181 fi; \
182 fi; \
183 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
184 done; \
185 reldir="$$dir2"
08024023 186GZIP_ENV = --best
f38be2ba
AG
187DIST_ARCHIVES = $(distdir).tar.xz
188DIST_TARGETS = dist-xz
08024023 189distuninstallcheck_listfiles = find . -type f -print
7f605299
DB
190am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
191 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
08024023
DB
192distcleancheck_listfiles = find . -type f -print
193ACLOCAL = @ACLOCAL@
e7f9874d 194ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
8df2f63a 195ALL_LINGUAS = @ALL_LINGUAS@
08024023 196AMTAR = @AMTAR@
e7f9874d 197AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
08024023
DB
198AUTOCONF = @AUTOCONF@
199AUTOHEADER = @AUTOHEADER@
200AUTOMAKE = @AUTOMAKE@
201AWK = @AWK@
202CATALOGS = @CATALOGS@
203CATOBJEXT = @CATOBJEXT@
204CC = @CC@
205CCDEPMODE = @CCDEPMODE@
206CFLAGS = @CFLAGS@
207CPP = @CPP@
208CPPFLAGS = @CPPFLAGS@
209CYGPATH_W = @CYGPATH_W@
210DATADIRNAME = @DATADIRNAME@
7f605299
DB
211DBUS_CFLAGS = @DBUS_CFLAGS@
212DBUS_LIBS = @DBUS_LIBS@
08024023
DB
213DEFS = @DEFS@
214DEPDIR = @DEPDIR@
215ECHO_C = @ECHO_C@
216ECHO_N = @ECHO_N@
217ECHO_T = @ECHO_T@
218EGREP = @EGREP@
219EXEEXT = @EXEEXT@
220GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
1469f737
DB
221GMODULE_CFLAGS = @GMODULE_CFLAGS@
222GMODULE_LIBS = @GMODULE_LIBS@
08024023
DB
223GMOFILES = @GMOFILES@
224GMSGFMT = @GMSGFMT@
225GREP = @GREP@
1469f737
DB
226GTK_CFLAGS = @GTK_CFLAGS@
227GTK_LIBS = @GTK_LIBS@
08024023
DB
228INSTALL = @INSTALL@
229INSTALL_DATA = @INSTALL_DATA@
230INSTALL_PROGRAM = @INSTALL_PROGRAM@
231INSTALL_SCRIPT = @INSTALL_SCRIPT@
232INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
233INSTOBJEXT = @INSTOBJEXT@
234INTLLIBS = @INTLLIBS@
8df2f63a
DB
235INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
236INTLTOOL_MERGE = @INTLTOOL_MERGE@
237INTLTOOL_PERL = @INTLTOOL_PERL@
238INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
7f605299
DB
239INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
240INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
241INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
242INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
08024023
DB
243LDFLAGS = @LDFLAGS@
244LIBOBJS = @LIBOBJS@
245LIBS = @LIBS@
246LTLIBOBJS = @LTLIBOBJS@
08024023
DB
247MAKEINFO = @MAKEINFO@
248MKDIR_P = @MKDIR_P@
249MKINSTALLDIRS = @MKINSTALLDIRS@
250MSGFMT = @MSGFMT@
251MSGFMT_OPTS = @MSGFMT_OPTS@
8df2f63a 252MSGMERGE = @MSGMERGE@
08024023
DB
253OBJEXT = @OBJEXT@
254PACKAGE = @PACKAGE@
255PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
08024023
DB
256PACKAGE_NAME = @PACKAGE_NAME@
257PACKAGE_STRING = @PACKAGE_STRING@
258PACKAGE_TARNAME = @PACKAGE_TARNAME@
8df2f63a 259PACKAGE_URL = @PACKAGE_URL@
08024023
DB
260PACKAGE_VERSION = @PACKAGE_VERSION@
261PATH_SEPARATOR = @PATH_SEPARATOR@
262PKG_CONFIG = @PKG_CONFIG@
e7f9874d
DB
263PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
264PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
08024023
DB
265POFILES = @POFILES@
266POSUB = @POSUB@
267PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
268PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
269SET_MAKE = @SET_MAKE@
270SHELL = @SHELL@
271STRIP = @STRIP@
272USE_NLS = @USE_NLS@
273VERSION = @VERSION@
274XGETTEXT = @XGETTEXT@
1469f737
DB
275XLIB_CFLAGS = @XLIB_CFLAGS@
276XLIB_LIBS = @XLIB_LIBS@
e7f9874d
DB
277XMLCATALOG = @XMLCATALOG@
278XML_CATALOG_FILE = @XML_CATALOG_FILE@
279XSLTPROC = @XSLTPROC@
08024023
DB
280abs_builddir = @abs_builddir@
281abs_srcdir = @abs_srcdir@
282abs_top_builddir = @abs_top_builddir@
283abs_top_srcdir = @abs_top_srcdir@
284ac_ct_CC = @ac_ct_CC@
285am__include = @am__include@
286am__leading_dot = @am__leading_dot@
287am__quote = @am__quote@
288am__tar = @am__tar@
289am__untar = @am__untar@
290bindir = @bindir@
08024023 291build_alias = @build_alias@
08024023
DB
292builddir = @builddir@
293datadir = @datadir@
294datarootdir = @datarootdir@
295docdir = @docdir@
296dvidir = @dvidir@
297exec_prefix = @exec_prefix@
82c4ef88 298gtk_modules = @gtk_modules@
08024023 299host_alias = @host_alias@
08024023
DB
300htmldir = @htmldir@
301includedir = @includedir@
302infodir = @infodir@
303install_sh = @install_sh@
7f605299
DB
304intltool__v_merge_options_ = @intltool__v_merge_options_@
305intltool__v_merge_options_0 = @intltool__v_merge_options_0@
08024023
DB
306libdir = @libdir@
307libexecdir = @libexecdir@
308localedir = @localedir@
309localstatedir = @localstatedir@
310mandir = @mandir@
311mkdir_p = @mkdir_p@
312oldincludedir = @oldincludedir@
313pdfdir = @pdfdir@
314prefix = @prefix@
315program_transform_name = @program_transform_name@
316psdir = @psdir@
317sbindir = @sbindir@
318sharedstatedir = @sharedstatedir@
319srcdir = @srcdir@
320sysconfdir = @sysconfdir@
321target_alias = @target_alias@
eddc0c49 322top_build_prefix = @top_build_prefix@
08024023
DB
323top_builddir = @top_builddir@
324top_srcdir = @top_srcdir@
d93d56d2 325ACLOCAL_AMFLAGS = -I .
c93a68c7 326NULL =
ae1f8f29
AG
327SUBDIRS = \
328 data \
329 man \
330 po \
331 src
332
08024023 333EXTRA_DIST = \
7f605299 334 $(desktop_DATA) \
c93a68c7 335 $(NULL)
08024023
DB
336
337all: config.h
338 $(MAKE) $(AM_MAKEFLAGS) all-recursive
339
340.SUFFIXES:
7f605299 341am--refresh: Makefile
08024023 342 @:
ae1f8f29 343$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
08024023
DB
344 @for dep in $?; do \
345 case '$(am__configure_deps)' in \
346 *$$dep*) \
1469f737
DB
347 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
348 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
08024023
DB
349 && exit 0; \
350 exit 1;; \
351 esac; \
352 done; \
1469f737 353 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
eddc0c49 354 $(am__cd) $(top_srcdir) && \
1469f737 355 $(AUTOMAKE) --foreign Makefile
08024023
DB
356.PRECIOUS: Makefile
357Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
358 @case '$?' in \
359 *config.status*) \
360 echo ' $(SHELL) ./config.status'; \
361 $(SHELL) ./config.status;; \
362 *) \
363 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
364 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
365 esac;
366
367$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
368 $(SHELL) ./config.status --recheck
369
ae1f8f29 370$(top_srcdir)/configure: $(am__configure_deps)
eddc0c49 371 $(am__cd) $(srcdir) && $(AUTOCONF)
ae1f8f29 372$(ACLOCAL_M4): $(am__aclocal_m4_deps)
eddc0c49
DB
373 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
374$(am__aclocal_m4_deps):
08024023
DB
375
376config.h: stamp-h1
ae1f8f29
AG
377 @test -f $@ || rm -f stamp-h1
378 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
08024023
DB
379
380stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
381 @rm -f stamp-h1
382 cd $(top_builddir) && $(SHELL) ./config.status config.h
ae1f8f29 383$(srcdir)/config.h.in: $(am__configure_deps)
eddc0c49 384 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
08024023
DB
385 rm -f stamp-h1
386 touch $@
387
388distclean-hdr:
389 -rm -f config.h stamp-h1
08024023
DB
390
391# This directory's subdirectories are mostly independent; you can cd
ae1f8f29
AG
392# into them and run 'make' without going through this Makefile.
393# To change the values of 'make' variables: instead of editing Makefiles,
394# (1) if the variable is set in 'config.status', edit 'config.status'
395# (which will cause the Makefiles to be regenerated when you run 'make');
396# (2) otherwise, pass the desired values on the 'make' command line.
397$(am__recursive_targets):
398 @fail=; \
399 if $(am__make_keepgoing); then \
400 failcom='fail=yes'; \
401 else \
402 failcom='exit 1'; \
403 fi; \
08024023
DB
404 dot_seen=no; \
405 target=`echo $@ | sed s/-recursive//`; \
ae1f8f29
AG
406 case "$@" in \
407 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
408 *) list='$(SUBDIRS)' ;; \
409 esac; \
410 for subdir in $$list; do \
08024023
DB
411 echo "Making $$target in $$subdir"; \
412 if test "$$subdir" = "."; then \
413 dot_seen=yes; \
414 local_target="$$target-am"; \
415 else \
416 local_target="$$target"; \
417 fi; \
eddc0c49 418 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
08024023
DB
419 || eval $$failcom; \
420 done; \
421 if test "$$dot_seen" = "no"; then \
422 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
423 fi; test -z "$$fail"
424
ae1f8f29
AG
425ID: $(am__tagged_files)
426 $(am__define_uniq_tagged_files); mkid -fID $$unique
427tags: tags-recursive
428TAGS: tags
08024023 429
ae1f8f29 430tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
eddc0c49 431 set x; \
08024023
DB
432 here=`pwd`; \
433 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
434 include_option=--etags-include; \
435 empty_fix=.; \
436 else \
437 include_option=--include; \
438 empty_fix=; \
439 fi; \
440 list='$(SUBDIRS)'; for subdir in $$list; do \
441 if test "$$subdir" = .; then :; else \
442 test ! -f $$subdir/TAGS || \
eddc0c49 443 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
08024023
DB
444 fi; \
445 done; \
ae1f8f29 446 $(am__define_uniq_tagged_files); \
eddc0c49
DB
447 shift; \
448 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
08024023 449 test -n "$$unique" || unique=$$empty_fix; \
eddc0c49
DB
450 if test $$# -gt 0; then \
451 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
452 "$$@" $$unique; \
453 else \
454 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
455 $$unique; \
456 fi; \
08024023 457 fi
ae1f8f29
AG
458ctags: ctags-recursive
459
460CTAGS: ctags
461ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
462 $(am__define_uniq_tagged_files); \
eddc0c49 463 test -z "$(CTAGS_ARGS)$$unique" \
08024023 464 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
eddc0c49 465 $$unique
08024023
DB
466
467GTAGS:
468 here=`$(am__cd) $(top_builddir) && pwd` \
eddc0c49
DB
469 && $(am__cd) $(top_srcdir) \
470 && gtags -i $(GTAGS_ARGS) "$$here"
ae1f8f29
AG
471cscope: cscope.files
472 test ! -s cscope.files \
473 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
474clean-cscope:
475 -rm -f cscope.files
476cscope.files: clean-cscope cscopelist
477cscopelist: cscopelist-recursive
478
479cscopelist-am: $(am__tagged_files)
480 list='$(am__tagged_files)'; \
481 case "$(srcdir)" in \
482 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
483 *) sdir=$(subdir)/$(srcdir) ;; \
484 esac; \
485 for i in $$list; do \
486 if test -f "$$i"; then \
487 echo "$(subdir)/$$i"; \
488 else \
489 echo "$$sdir/$$i"; \
490 fi; \
491 done >> $(top_builddir)/cscope.files
08024023
DB
492
493distclean-tags:
494 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
ae1f8f29 495 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
08024023
DB
496
497distdir: $(DISTFILES)
498 $(am__remove_distdir)
eddc0c49 499 test -d "$(distdir)" || mkdir "$(distdir)"
08024023
DB
500 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
501 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
502 list='$(DISTFILES)'; \
503 dist_files=`for file in $$list; do echo $$file; done | \
504 sed -e "s|^$$srcdirstrip/||;t" \
505 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
506 case $$dist_files in \
507 */*) $(MKDIR_P) `echo "$$dist_files" | \
508 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
509 sort -u` ;; \
510 esac; \
511 for file in $$dist_files; do \
512 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
513 if test -d $$d/$$file; then \
514 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
eddc0c49
DB
515 if test -d "$(distdir)/$$file"; then \
516 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
517 fi; \
08024023 518 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
eddc0c49
DB
519 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
520 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
08024023 521 fi; \
eddc0c49 522 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
08024023 523 else \
eddc0c49
DB
524 test -f "$(distdir)/$$file" \
525 || cp -p $$d/$$file "$(distdir)/$$file" \
08024023
DB
526 || exit 1; \
527 fi; \
528 done
eddc0c49 529 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
08024023 530 if test "$$subdir" = .; then :; else \
ae1f8f29
AG
531 $(am__make_dryrun) \
532 || test -d "$(distdir)/$$subdir" \
533 || $(MKDIR_P) "$(distdir)/$$subdir" \
534 || exit 1; \
eddc0c49
DB
535 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
536 $(am__relativize); \
537 new_distdir=$$reldir; \
538 dir1=$$subdir; dir2="$(top_distdir)"; \
539 $(am__relativize); \
540 new_top_distdir=$$reldir; \
541 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
542 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
543 ($(am__cd) $$subdir && \
08024023 544 $(MAKE) $(AM_MAKEFLAGS) \
eddc0c49
DB
545 top_distdir="$$new_top_distdir" \
546 distdir="$$new_distdir" \
08024023
DB
547 am__remove_distdir=: \
548 am__skip_length_check=: \
eddc0c49 549 am__skip_mode_fix=: \
08024023
DB
550 distdir) \
551 || exit 1; \
552 fi; \
553 done
eddc0c49 554 -test -n "$(am__skip_mode_fix)" \
1469f737
DB
555 || find "$(distdir)" -type d ! -perm -755 \
556 -exec chmod u+rwx,go+rx {} \; -o \
08024023
DB
557 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
558 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
559 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
eddc0c49 560 || chmod -R a+r "$(distdir)"
08024023
DB
561dist-gzip: distdir
562 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
ae1f8f29 563 $(am__post_remove_distdir)
08024023
DB
564
565dist-bzip2: distdir
7f605299 566 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
ae1f8f29 567 $(am__post_remove_distdir)
7f605299
DB
568
569dist-lzip: distdir
570 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
ae1f8f29 571 $(am__post_remove_distdir)
eddc0c49 572dist-xz: distdir
7f605299 573 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
ae1f8f29 574 $(am__post_remove_distdir)
eddc0c49 575
08024023 576dist-tarZ: distdir
ae1f8f29
AG
577 @echo WARNING: "Support for shar distribution archives is" \
578 "deprecated." >&2
579 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
08024023 580 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
ae1f8f29 581 $(am__post_remove_distdir)
08024023
DB
582
583dist-shar: distdir
ae1f8f29
AG
584 @echo WARNING: "Support for distribution archives compressed with" \
585 "legacy program 'compress' is deprecated." >&2
586 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
08024023 587 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
ae1f8f29 588 $(am__post_remove_distdir)
08024023
DB
589
590dist-zip: distdir
591 -rm -f $(distdir).zip
592 zip -rq $(distdir).zip $(distdir)
ae1f8f29 593 $(am__post_remove_distdir)
08024023 594
ae1f8f29
AG
595dist dist-all:
596 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
597 $(am__post_remove_distdir)
08024023
DB
598
599# This target untars the dist file and tries a VPATH configuration. Then
600# it guarantees that the distribution is self-contained by making another
601# tarfile.
602distcheck: dist
603 case '$(DIST_ARCHIVES)' in \
604 *.tar.gz*) \
1469f737 605 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
08024023 606 *.tar.bz2*) \
1469f737 607 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
7f605299
DB
608 *.tar.lz*) \
609 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
eddc0c49
DB
610 *.tar.xz*) \
611 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
08024023
DB
612 *.tar.Z*) \
613 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
614 *.shar.gz*) \
1469f737 615 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
08024023
DB
616 *.zip*) \
617 unzip $(distdir).zip ;;\
618 esac
ae1f8f29
AG
619 chmod -R a-w $(distdir)
620 chmod u+w $(distdir)
621 mkdir $(distdir)/_build $(distdir)/_inst
08024023 622 chmod a-w $(distdir)
eddc0c49 623 test -d $(distdir)/_build || exit 0; \
08024023
DB
624 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
625 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
eddc0c49
DB
626 && am__cwd=`pwd` \
627 && $(am__cd) $(distdir)/_build \
d93d56d2 628 && ../configure \
7f605299 629 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
08024023 630 $(DISTCHECK_CONFIGURE_FLAGS) \
d93d56d2 631 --srcdir=.. --prefix="$$dc_install_base" \
08024023
DB
632 && $(MAKE) $(AM_MAKEFLAGS) \
633 && $(MAKE) $(AM_MAKEFLAGS) dvi \
634 && $(MAKE) $(AM_MAKEFLAGS) check \
635 && $(MAKE) $(AM_MAKEFLAGS) install \
636 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
637 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
638 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
639 distuninstallcheck \
640 && chmod -R a-w "$$dc_install_base" \
641 && ({ \
642 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
643 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
644 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
645 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
646 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
647 } || { rm -rf "$$dc_destdir"; exit 1; }) \
648 && rm -rf "$$dc_destdir" \
649 && $(MAKE) $(AM_MAKEFLAGS) dist \
650 && rm -rf $(DIST_ARCHIVES) \
eddc0c49
DB
651 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
652 && cd "$$am__cwd" \
653 || exit 1
ae1f8f29 654 $(am__post_remove_distdir)
08024023
DB
655 @(echo "$(distdir) archives ready for distribution: "; \
656 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
657 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
658distuninstallcheck:
7f605299
DB
659 @test -n '$(distuninstallcheck_dir)' || { \
660 echo 'ERROR: trying to run $@ with an empty' \
661 '$$(distuninstallcheck_dir)' >&2; \
662 exit 1; \
663 }; \
664 $(am__cd) '$(distuninstallcheck_dir)' || { \
665 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
666 exit 1; \
667 }; \
668 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
08024023
DB
669 || { echo "ERROR: files left after uninstall:" ; \
670 if test -n "$(DESTDIR)"; then \
671 echo " (check DESTDIR support)"; \
672 fi ; \
673 $(distuninstallcheck_listfiles) ; \
674 exit 1; } >&2
675distcleancheck: distclean
676 @if test '$(srcdir)' = . ; then \
677 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
678 exit 1 ; \
679 fi
680 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
681 || { echo "ERROR: files left in build directory after distclean:" ; \
682 $(distcleancheck_listfiles) ; \
683 exit 1; } >&2
684check-am: all-am
685check: check-recursive
1469f737 686all-am: Makefile config.h
08024023
DB
687installdirs: installdirs-recursive
688installdirs-am:
08024023
DB
689install: install-recursive
690install-exec: install-exec-recursive
691install-data: install-data-recursive
692uninstall: uninstall-recursive
693
694install-am: all-am
695 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
696
697installcheck: installcheck-recursive
698install-strip:
7f605299
DB
699 if test -z '$(STRIP)'; then \
700 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
701 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
702 install; \
703 else \
704 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
705 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
706 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
707 fi
08024023
DB
708mostlyclean-generic:
709
710clean-generic:
711
712distclean-generic:
713 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
eddc0c49 714 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
08024023
DB
715
716maintainer-clean-generic:
717 @echo "This command is intended for maintainers to use"
718 @echo "it deletes files that may require special tools to rebuild."
719clean: clean-recursive
720
d93d56d2 721clean-am: clean-generic mostlyclean-am
08024023
DB
722
723distclean: distclean-recursive
724 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
725 -rm -f Makefile
d93d56d2 726distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
08024023
DB
727
728dvi: dvi-recursive
729
730dvi-am:
731
732html: html-recursive
733
eddc0c49
DB
734html-am:
735
08024023
DB
736info: info-recursive
737
738info-am:
739
1469f737
DB
740install-data-am:
741
08024023
DB
742install-dvi: install-dvi-recursive
743
eddc0c49
DB
744install-dvi-am:
745
08024023
DB
746install-exec-am:
747
748install-html: install-html-recursive
749
eddc0c49
DB
750install-html-am:
751
08024023
DB
752install-info: install-info-recursive
753
eddc0c49
DB
754install-info-am:
755
08024023
DB
756install-man:
757
758install-pdf: install-pdf-recursive
759
eddc0c49
DB
760install-pdf-am:
761
08024023
DB
762install-ps: install-ps-recursive
763
eddc0c49
DB
764install-ps-am:
765
08024023
DB
766installcheck-am:
767
768maintainer-clean: maintainer-clean-recursive
769 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
770 -rm -rf $(top_srcdir)/autom4te.cache
771 -rm -f Makefile
772maintainer-clean-am: distclean-am maintainer-clean-generic
773
774mostlyclean: mostlyclean-recursive
775
d93d56d2 776mostlyclean-am: mostlyclean-generic
08024023
DB
777
778pdf: pdf-recursive
779
780pdf-am:
781
782ps: ps-recursive
783
784ps-am:
785
1469f737 786uninstall-am:
08024023 787
ae1f8f29
AG
788.MAKE: $(am__recursive_targets) all install-am install-strip
789
790.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
791 am--refresh check check-am clean clean-cscope clean-generic \
d93d56d2
AG
792 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
793 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
794 distcheck distclean distclean-generic distclean-hdr \
795 distclean-tags distcleancheck distdir distuninstallcheck dvi \
796 dvi-am html html-am info info-am install install-am \
797 install-data install-data-am install-dvi install-dvi-am \
798 install-exec install-exec-am install-html install-html-am \
799 install-info install-info-am install-man install-pdf \
800 install-pdf-am install-ps install-ps-am install-strip \
801 installcheck installcheck-am installdirs installdirs-am \
802 maintainer-clean maintainer-clean-generic mostlyclean \
803 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
ae1f8f29 804 uninstall-am
1469f737 805
eddc0c49 806
08024023
DB
807# Tell versions [3.59,3.63) of GNU make to not export all variables.
808# Otherwise a system limit (for SysV at least) may be exceeded.
809.NOEXPORT: